Set(CARACOTSIOS_SPARSE_DIR Test/CaracotsiosSparse)

INCLUDE_DIRECTORIES(${CARACOTSIOS_SPARSE_DIR})

Set(CARACOTSIOS_SPARSE_HEADER_FILES  
	${CARACOTSIOS_SPARSE_DIR}/SparseCaracotsiosDcc.hpp)
	
SOURCE_GROUP("Header Files" FILES ${CARACOTSIOS_SPARSE_HEADER_FILES} )

Set(CARACOTSIOS_SPARSE_SOURCE_FILES 
	${CARACOTSIOS_SPARSE_DIR}/main.cpp
	${CARACOTSIOS_SPARSE_DIR}/SparseCaracotsiosDcc.cpp
	${CARACOTSIOS_SPARSE_DIR}/d1_rhs.cpp
	${CARACOTSIOS_SPARSE_DIR}/b1_rhs.cpp
	${CARACOTSIOS_SPARSE_DIR}/d2_b1_rhs.cpp )
	
add_executable(CaracotsiosSparse ${CARACOTSIOS_SPARSE_HEADER_FILES} 
	${CARACOTSIOS_SPARSE_SOURCE_FILES} )

target_link_libraries(CaracotsiosSparse Nixe)
	

#if(MSVC)
#SET_PROPERTY(TARGET CaracotsiosSparse PROPERTY LINK_FLAGS_DEBUG  "/NODEFAULTLIB:MSVCRT" )
#endif()


ADD_TEST(TestCaracotsiosSparse ${EXECUTABLE_OUTPUT_PATH}/CaracotsiosSparse ${CMAKE_CURRENT_SOURCE_DIR}/${CARACOTSIOS_SPARSE_DIR}/ReferenceHessian.dat)

